Bug 991611 - [abrt] kernel BUG at fs/jbd2/transaction.c:1154!
[abrt] kernel BUG at fs/jbd2/transaction.c:1154!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:b98849dd5f0ac349219856aa7eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 19:09 EDT by Rob Melville
Modified: 2013-10-08 12:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (64.64 KB, text/plain)
2013-08-02 19:09 EDT, Rob Melville
no flags Details

  None (edit)
Description Rob Melville 2013-08-02 19:09:20 EDT
Description of problem:
trying to convert ext3 to ext4 file system using chattr +e

Additional info:
reporter:       libreport-2.1.5
kernel BUG at fs/jbd2/transaction.c:1154!
invalid opcode: 0000 [#1] SMP 
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack fcoe libfcoe ebtable_filter libfc scsi_transport_fc scsi_tgt 8021q ebtables garp stp mrp llc ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel arc4 snd_usb_audio snd_usbmidi_lib snd_hda_codec snd_rawmidi snd_hwdep snd_seq ath9k_htc ath9k_common ath9k_hw powernow_k8 ath ppdev k8temp snd_seq_device mac80211 kvm usblp cfg80211 edac_core edac_mce_amd serio_raw rfkill r8169 snd_pcm parport_pc sp5100_tco i2c_piix4 asus_atk0110 mii snd_page_alloc snd_timer snd parport soundcore shpchp nfsd auth_rpcgss wmi nfs_acl lockd sunrpc binfmt_misc uinput radeon i2c_algo_bit drm_kms_helper ata_generic pata_acpi ttm pata_atiixp drm i2c_core
CPU: 0 PID: 2052 Comm: chattr Not tainted 3.10.4-300.fc19.x86_64 #1
Hardware name: System manufacturer System Product Name/M4A78-VM, BIOS 0502    03/26/2009
task: ffff8800498b6ac0 ti: ffff880017b4a000 task.ti: ffff880017b4a000
RIP: 0010:[<ffffffff8125d455>]  [<ffffffff8125d455>] jbd2_journal_dirty_metadata+0x235/0x2b0
RSP: 0018:ffff880017b4ba70  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff88003ebe2050 RCX: ffff880017b4bfd8
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88000cbaff08
RBP: ffff880017b4baa8 R08: ffff88000cbaff08 R09: dffdd2f3883b3942
R10: ffd5450426b7c202 R11: 0000000000000000 R12: ffff88000cbaff08
R13: ffff88006b78f200 R14: ffff8800024964d0 R15: ffff88006b1d5800
FS:  00007f4104a11740(0000) GS:ffff88006fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007f460922c000 CR3: 0000000049807000 CR4: 00000000000007f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff880026f9a478 ffff88000cbaff08 ffff88000cbaff08 ffff880003857170
 ffffffff8182a110 00000000000000a7 ffff88003ebe2050 ffff880017b4bae0
 ffffffff8124475b ffff880017b4bba0 ffff880064b18000 ffff880003857170
Call Trace:
 [<ffffffff8124475b>] __ext4_handle_dirty_metadata+0x7b/0x100
 [<ffffffff81255b13>] ext4_xattr_block_set+0x8b3/0x910
 [<ffffffff81256645>] ext4_xattr_set_handle+0x315/0x460
 [<ffffffff8125b4d0>] ? ext4_acl_chmod+0x1b0/0x1b0
 [<ffffffff8125b523>] ext4_initxattrs+0x53/0x70
 [<ffffffff812849d4>] security_inode_init_security+0xb4/0xf0
 [<ffffffff8125b631>] ext4_init_security+0x21/0x30
 [<ffffffff8121659b>] __ext4_new_inode+0xe1b/0x1320
 [<ffffffff812441e7>] ? __ext4_journal_start_sb+0x77/0x160
 [<ffffffff81244f47>] ext4_ext_migrate+0xe7/0x730
 [<ffffffff8124475b>] ? __ext4_handle_dirty_metadata+0x7b/0x100
 [<ffffffff81220eb3>] ext4_ioctl+0x8b3/0xf20
 [<ffffffff811a9435>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128ab5e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811a96d1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81651919>] system_call_fastpath+0x16/0x1b
Code: 00 00 89 04 24 4d 89 e9 48 c7 c7 a0 9e a0 81 31 c0 4c 89 55 d0 e8 4c 1c 3e 00 4c 8b 55 d0 b8 ea ff ff ff 4d 89 d4 e9 78 fe ff ff <0f> 0b f3 90 49 8b 04 24 a9 00 00 40 00 75 f3 e9 02 fe ff ff 45 
RIP  [<ffffffff8125d455>] jbd2_journal_dirty_metadata+0x235/0x2b0
 RSP <ffff880017b4ba70>
Comment 1 Rob Melville 2013-08-02 19:09:27 EDT
Created attachment 782187 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:29:55 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:32:02 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.